> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/acron_der_anlagenchronist/acron_opc_ua-server.md).

# ACRON OPC UA - Server

To enable you to view ACRON measurement and service data, from your control system for example, in a dedicated view, or to display automated action information messages, ACRON delivers the data by way of a OPC UA server (ACOpcUA.EXE). This interface can be used by all OPC UA-compatible systems.

See also: <https://de.wikipedia.org/wiki/OPC\\_Unified\\_Architecture>

The server provides the following OPC UA function sets:

### DA (Data Access)

Data Access provides a set of functions for real-time data access.

### HA (Historical Access)

Historical Access provides a set of functions for accessing previously stored measurement data from any period in the past. ACOpcUA supports readRaw functionality from the HA specification. Using this function OPC UA clients can query historical data. With a readRaw call, several data points of a time range can be queried at the same time.

## Use of ACOpcUA

ACOpcUA is usually started and set up in ACRON Admin as a program or service. Alternatively, manual program start is also possible.

#### Manual start

If you start the ACOpcUA program without parameters, ACOpcUA delivers the data from the ACRON default plant. If you have not defined a default plant, or if you want to make the data available to a different plant, you must start ACOpcUA with the plant identifier parameter, e.g. `C:\ACRON\ACOpcUA.EXE``AnlagenID`. This means ACOpcUA has to be started for each plant for which you want to query data.

Note

In plant management on the 'Options' tab you can optionally assign a [password](/acron-9.3/en/anlagenverwaltung/register-optionen.md#passwort) which is then requested whenever you exit the ACOpcUA application, to prevent it from being closed down unintentionally for example. The password is case-sensitive.

#### Configuration

All settings for the [configuration](https://github.com/Dataforum-Software/gitbook/blob/master/acron/9.3/en/designer/ac_admin/anlage/dienste_anwendungen/opc-ua-server.md) of ACOpcUA were made in ACRON Admin.

## Item names

Item names organized into three groups are used to access the data points:

####

* PV (Process Values)

This group includes all data points for the measurement data area. Access using the DA and HA function set is available.

####

* Mai (Maintenance)

This group contains all data relations to the service area. Access using the DA function set is available.

####

* System (System information)

  This group contains all data points for the system information area. Access using the DA function set is available.

The group name is always prefixed to the item name separated by a dot, e.g. System.StatusDBEngine.

### Item names for Service data

|                           |                                                    |                                                                       |
| ------------------------- | -------------------------------------------------- | --------------------------------------------------------------------- |
| General Service variables |                                                    |                                                                       |
| **MaiOver**               | Indicates the number of actions now already due.   | For example in MS-Excel: ACDDE\|Anl\_01!MaiOver                       |
| **MaiNextTime**           | Indicates the earliest next scheduled action date. | In MS-Excel you may need to assign the cell the date format DD.MM.YY. |

#### Service variables per action (extensions)

|                                        |                         |                                                                         |
| -------------------------------------- | ----------------------- | ----------------------------------------------------------------------- |
| For example: Intermediate\_action.OVER |                         |                                                                         |
| **OVER**                               |                         | If the interval has been exceeded a 1 is displayed here; otherwise a 0. |
| **DE**                                 | Description /           | Special features of action                                              |
| **CO**                                 | Comment /               | Current comment                                                         |
| **ST**                                 | Service Time /          | Last action time                                                        |
| **SU**                                 | Switch Usage /          | Switching cycles since last action                                      |
| **OT**                                 | Operating Time /        | Operational availability since last action                              |
| **RT**                                 | Running Time /          | Elapsed time since last action                                          |
| **SUS**                                | Switch Usage Sum/       | Sum total switching cycles                                              |
| **OTS**                                | Operating Time Sum/     | Sum total operational availability                                      |
| **RTS**                                | Running Time Sum/       | Sum total elapsed time                                                  |
| **SUP**                                | Switch Usage Percent/   | Percentage attainment of interval for switching cycles                  |
| **OTP**                                | Operating Time Percent/ | Percentage attainment of interval for operational availability          |
| **RTP**                                | Running Time Percent/   | Percentage attainment of interval for elapsed time                      |

### Item names for measurement data

Access using the DA (real-time data) function set is possible for all properties.

Access using the HA (Historical Data) function set is possible for the PCV, ICV, DCV, MCV and YCV properties.

|                                                   |                            |                                            |
| ------------------------------------------------- | -------------------------- | ------------------------------------------ |
| ACRON Process\_variable\_identification.extension |                            | For example: NI10IT001.PCV                 |
| **PCV**                                           | Process Current Value /    | Current value of process variable          |
| **ICV**                                           | Interval Current Value /   | Current interval value (e.g. 2-h average)  |
| **IPV**                                           | Intervall Previous Value / | Previous interval value (e.g. 2-h average) |
| **DCV**                                           | Day Current Value /        | Current day value                          |
| **DPV**                                           | Day Previous Value /       | Value of the previous day                  |
| **MCV**                                           | Month Current Value /      | Current month value                        |
| **MPV**                                           | Month Previous Value /     | Value of the previous month                |
| **YCV**                                           | Year Current Value /       | Current year value                         |
| **YPV**                                           | Year Previous Value /      | Value of the previous year                 |

Note

The process data are updated in the write interval of the first provider. All other items of data are updated in a 5-minute cycle.

### Item names for system variables

Item names for system data are updated every 30 seconds.

|                                                   |                                                                                   |
| ------------------------------------------------- | --------------------------------------------------------------------------------- |
| **DiskspacePercentDataPath**                      | Indicates the percentage of the hard disk of the plant data path taken up.        |
| **DiskspacePercentCompPath**                      | Indicates the percentage of the hard disk of the plant compression path taken up. |
| **LastTimeSuccessfulDataBackup**                  | Indicates the time of the last successful backup.                                 |
| **StatusDBEngine**                                | Indicates whether the Database Engine is running; 1 = running, 0 = not running    |
| **ServerConnectionCount**                         | Indicates how many connections the Database server has.                           |
| **ProviderCount**                                 | Indicates how many providers are running for this plant.                          |
| For each configured Provider:                     |                                                                                   |
| **ProviderStatus\_XXX**\*                         | Indicates the status of the Provider as follows:                                  |
|                                                   | 0 = Everything OK                                                                 |
|                                                   | 1 = Problems connecting to partner (PCS)                                          |
|                                                   | 2 = Current critical errors present                                               |
|                                                   | ">3 = Provider not running                                                        |
| **ProviderTimeLastValueWritten\_XXX**\*           | Indicates the time when the Provider last wrote a value to the database.          |
| \*XXX stands for the identifier (Provider number) |                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/acron_der_anlagenchronist/acron_opc_ua-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
